<?php
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Zonas/zona_nacional.php"); 
	$nombrepagina = "PROCESOS DE ZONAS NACIONALES";
	encabezado($target);
	$user=$_SESSION['validar'];
	$tamano_pagina=2;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
	$filas=1;   
    if($filas == 1){ 
		class llamado{
	 		var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
	  	  	}
	 	}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";	 
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		if(!empty($valor)){
			$add .= "WHERE $campo LIKE '%".$valor."%'";
		}else{
			$add ="";
		}
		$sql_zonas_n="SELECT * FROM zonas_nacionales $add";
		class filas{
			var $rowsobj;
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
			}
			function eliminar($add){
				$tamano_pagina=$_SESSION['tam'];
				$inicio=$_SESSION['inicio'];
		  		$this->userObj=new select_zonas();
				$this->userObj->zonas_nac($inicio,$tamano_pagina,$add);
		  	}
		}
		$filasobj=new filas();
		$cant=$filasobj->cantidad($sql_zonas_n);
		$total_paginas= ceil($cant/$tamano_pagina);
		
		if(isset($Elimi)){
			delete($del_zn,'zonas_nacionales','id_zona_nal');
		}
?>
<form action="" method="get" name="backup">
<CENTER>
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR ZONAS NACIONALES ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="100">
<select name="campo" class="inputbox">
<option value="nombre">NOMBRE</option>
</select></td>
<td valign=top class=miTable_td width="150"><input type="text" name="valor" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="id_menu" value="<? echo $_GET['id_menu'];?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="7" class=miTable_th1><div align="center">..:: Zonas Nacionales ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="7" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1>Id</td>
<td valign=top class=miTable_th1 width="150">Nombre</td>
<td valign=top class=miTable_th1 colspan="2">Propiedad</td>
</tr>
<?
$filasobj->eliminar($add);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="7">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href='ejecutar_zonas_n.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecutar_zonas_n.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecutar_zonas_n.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> >> </A>";
	}
} 
?>
</div>
</td>
</tr>
<td height="26" colspan="8" class="miTable_td" ><div align="right">
  <input type="submit" name="Elimi" value="Eliminar" class="inputbox" onclick="return confirmDel();" />
</div></td>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="7">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='campo' value='<? echo $campo?>'>
<input type='hidden' name='valor' value='<? echo $valor?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>

<?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>
